List reactions with a specific emoji/unicodes
curl --request GET \
--url https://{appId}.api-{region}.cometchat.io/v3/messages/{id}/reactions/{reaction} \
--header 'apikey: <api-key>'import requests
url = "https://{appId}.api-{region}.cometchat.io/v3/messages/{id}/reactions/{reaction}"
headers = {"apikey": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {apikey: '<api-key>'}};
fetch('https://{appId}.api-{region}.cometchat.io/v3/messages/{id}/reactions/{reaction}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "1",
"messageId": "1",
"reaction": "😅",
"uid": "cometchat-uid-1",
"reactedAt": 1702638595,
"reactedBy": {
"uid": "cometchat-uid-1",
"name": "Andrew Joseph",
"avatar": "https://assets.cometchat.io/sampleapp/v2/users/cometchat-uid-1.webp",
"status": "available",
"role": "default",
"lastActiveAt": 1689082633,
"createdAt": 1684751861
}
}
],
"meta": {
"current": {
"limit": 100,
"count": 1
},
"next": {
"affix": "append",
"id": "1"
}
}
}Messages
List reactions with a specific emoji/unicodes
List reactions for a specific emoji on a CometChat message by message ID and reaction value with REST API.
GET
/
messages
/
{id}
/
reactions
/
{reaction}
List reactions with a specific emoji/unicodes
Authorizations
API Key with fullAccess scope(i.e. Rest API Key from the Dashboard).
Headers
UID of the user on whose behalf the action is performed.
Path Parameters
Id of the message whose reactions are to be fetched.
reaction whose details are to be fetched.
Was this page helpful?
⌘I